org.keycloak

## Class RSATokenVerifier

- java.lang.Object
- - org.keycloak.RSATokenVerifier

- Deprecated.

      @Deprecated
      public class RSATokenVerifier
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSATokenVerifier` | `checkActive(boolean checkActive)` Deprecated.
    `RSATokenVerifier` | `checkRealmUrl(boolean checkRealmUrl)` Deprecated.
    `RSATokenVerifier` | `checkTokenType(boolean checkTokenType)` Deprecated.
    `static RSATokenVerifier` | `create(String tokenString)` Deprecated.
    `JWSHeader` | `getHeader()` Deprecated.
    `AccessToken` | `getToken()` Deprecated.
    `RSATokenVerifier` | `parse()` Deprecated.
    `RSATokenVerifier` | `publicKey(PublicKey publicKey)` Deprecated.
    `RSATokenVerifier` | `realmUrl(String realmUrl)` Deprecated.
    `RSATokenVerifier` | `verify()` Deprecated.
    `static AccessToken` | `verifyToken(String tokenString, PublicKey publicKey, String realmUrl)` Deprecated.
    `static AccessToken` | `verifyToken(String tokenString, PublicKey publicKey, String realmUrl, boolean checkActive, boolean checkTokenType)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static RSATokenVerifier create(String tokenString)

      Deprecated.

    - #### verifyToken

          public static AccessToken verifyToken(String tokenString,
                                                PublicKey publicKey,
                                                String realmUrl)
                                         throws VerificationException

      Deprecated.
      Throws:
        `VerificationException`

    - #### verifyToken

          public static AccessToken verifyToken(String tokenString,
                                                PublicKey publicKey,
                                                String realmUrl,
                                                boolean checkActive,
                                                boolean checkTokenType)
                                         throws VerificationException

      Deprecated.
      Throws:
        `VerificationException`

    - #### publicKey

          public RSATokenVerifier publicKey(PublicKey publicKey)

      Deprecated.

    - #### realmUrl

          public RSATokenVerifier realmUrl(String realmUrl)

      Deprecated.

    - #### checkTokenType

          public RSATokenVerifier checkTokenType(boolean checkTokenType)

      Deprecated.

    - #### checkActive

          public RSATokenVerifier checkActive(boolean checkActive)

      Deprecated.

    - #### checkRealmUrl

          public RSATokenVerifier checkRealmUrl(boolean checkRealmUrl)

      Deprecated.

    - #### parse

          public RSATokenVerifier parse()
                                 throws VerificationException

      Deprecated.
      Throws:
        `VerificationException`

    - #### getToken

          public AccessToken getToken()
                               throws VerificationException

      Deprecated.
      Throws:
        `VerificationException`

    - #### getHeader

          public JWSHeader getHeader()
                              throws VerificationException

      Deprecated.
      Throws:
        `VerificationException`

    - #### verify

          public RSATokenVerifier verify()
                                  throws VerificationException

      Deprecated.
      Throws:
        `VerificationException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.